import { jsx } from "react/jsx-runtime";
import { SmartForm } from "../SmartForm/SmartForm.js";
import { createCommonDataSourceSchema, createCommonDataSourceFieldsMeta } from "./common.js";
const ConnectForm = ({
  defaultValues,
  fieldsMeta,
  onSubmit,
  schema
}) => {
  const mergedSchema = createCommonDataSourceSchema(schema);
  const mergedFieldsMeta = createCommonDataSourceFieldsMeta(fieldsMeta);
  return /* @__PURE__ */ jsx(
    SmartForm,
    {
      defaultValues,
      fieldsMeta: mergedFieldsMeta,
      onSubmit,
      schema: mergedSchema
    }
  );
};
export {
  ConnectForm
};
//# sourceMappingURL=ConnectForm.js.map
