/**
 * Used for @see {@link SmartForm} to define metadata for form fields.
 */
export type SmartFormFieldsMetadata = {
    [key: string]: SmartFormFieldMetadata | SmartFormFieldsMetadata;
};
/**
 * Used for @see {@link SmartForm} to define metadata for form fields.
 */
export type SmartFormFieldMetadata = {
    /**
     * Adds a label to the form field.
     */
    label: string;
    /**
     * Sets the form input to `password`, masking the input.
     */
    secret?: boolean | undefined;
    /**
     * Adds a description under the form field.
     */
    helpText?: string | undefined;
    /**
     * Sets a placeholder value for the form field.
     */
    placeholder?: string | undefined;
};
//# sourceMappingURL=common.d.ts.map