import { default as React } from 'react';

export type SiteLogsSurfaceProps = {
    className?: string | undefined;
    children?: React.ReactNode | undefined;
};
/**
 * A container element used to render the Site Logs surface. This component
 * will take care of styling your component so it looks good as a section
 * rendered under the logs navigation for sites in the Netlify UI.
 *
 * <!-- TODO(calebbarnes): Add a screenshot here -->
 *
 * @param props
 * @see Surfaces.SiteLogs
 * @example
 * ```tsx
 * import { SiteLogsSurface } from "@netlify/sdk/react/components";
 *
 * <SiteLogsSurface>
 *   <div>Your surface content goes here</div>
 * </SiteLogsSurface>
 * ```
 */
export declare const SiteLogsSurface: ({ className, children, ...otherProps }: SiteLogsSurfaceProps) => React.JSX.Element;
//# sourceMappingURL=SiteLogsSurface.d.ts.map