import { jsxs, jsx } from "react/jsx-runtime";
import { cn, DecorativeIcon } from "@netlify/ui";
const CardTitle = ({
  as: Component = "h1",
  children,
  className,
  disabled,
  iconName,
  inline,
  ...otherProps
}) => /* @__PURE__ */ jsxs(
  Component,
  {
    className: cn(
      "tw-flex",
      "tw-font-semibold",
      "tw-gap-2",
      "tw-justify-start",
      "tw-leading-tight",
      "tw-text-xl",
      "after:tw-content-none",
      inline ? "tw-flex-wrap" : "md:tw-justify-between",
      disabled && "tw-pointer-events-none tw-opacity-muted tw-grayscale",
      className
    ),
    ...otherProps,
    children: [
      iconName !== void 0 && /* @__PURE__ */ jsx(
        DecorativeIcon,
        {
          className: "tw-mt-1",
          focusable: "false",
          name: iconName,
          width: 24
        }
      ),
      children
    ]
  }
);
export {
  CardTitle
};
//# sourceMappingURL=CardTitle.js.map
